Skip to main content
PATCH
/
v1
/
review-projects
/
{project_id}
curl --request PATCH \
  --url https://api.coval.dev/v1/review-projects/{project_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "display_name": "Updated Project Name"
}
'
{
  "review_project": {
    "name": "review-projects/01HXYZ1234567890ABCDEF",
    "id": "01HXYZ1234567890ABCDEF",
    "display_name": "<string>",
    "assignees": [
      "<string>"
    ],
    "linked_simulation_ids": [
      "<string>"
    ],
    "linked_metric_ids": [
      "<string>"
    ],
    "project_type": "PROJECT_INDIVIDUAL",
    "notifications": true,
    "create_time": "2023-11-07T05:31:56Z",
    "update_time": "2023-11-07T05:31:56Z",
    "description": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Organization API key for authentication

Path Parameters

project_id
string
required

The project ID (ULID)

Body

application/json
display_name
string | null

Updated project name

Required string length: 1 - 200
description
string | null

Updated description

assignees
string[] | null

Updated assignee list

linked_simulation_ids
string[] | null

Updated simulation IDs

linked_metric_ids
string[] | null

Updated metric IDs

notifications
boolean | null

Updated notification setting

opted_out_assignees
string[] | null

Assignees who opted out of notifications

Response

Project updated successfully

review_project
object
required

A single review project resource.